# config/services.yaml

parameters:
    locale: 'en'
    uvdesk.version: "v1.1.7"
    google_recaptcha_site_key: '%env(GOOGLE_RECAPTCHA_SITE_KEY)%'

services:
    # Default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically inject dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        public: false       # Services are private by default.

    # Makes classes in src/ available to be used as services
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    # Controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']
        public: true
